Bug 143345 - Kernel not assigning USB keydrive to sda1
Kernel not assigning USB keydrive to sda1
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://www.universalsmartdrive.net
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-19 14:13 EST by Beny Spensieri Jr.
Modified: 2015-01-04 17:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:04:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Beny Spensieri Jr. 2004-12-19 14:13:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I am using a "Universal Smart Drive" USB flash storage device.

See site http://www.universalsmartdrive.net

The device is not being recognized by the system and assigned a device
name.  Thus I am not able to mount the device as a removable drive.

Version-Release number of selected component (if applicable):
udev-039-10.FC3.6

How reproducible:
Always

Steps to Reproduce:
1.  Insert keydrive into USB port.
2.  Try to mount /dev/sda1
3.  mount returns that the device sda1 does not exist
    

Actual Results:  Using tail -f /var/log/messages I recieved the
following messages before plugging in the device:

Dec 19 13:36:20 localhost syslogd 1.4.1: restart.
Dec 19 13:49:37 localhost su(pam_unix)[3924]: session opened for user
root by beny(uid=500)

Then I plugged in the device.  It has a green indicator light that
should stay lit when the system recognizes it.  The light lights up
and then goes out and the following messages appear:

Dec 19 14:00:47 localhost kernel: usb 1-1.1: new full speed USB device
using address 3
Dec 19 14:00:50 localhost kernel: SCSI subsystem initialized
Dec 19 14:00:50 localhost kernel: Initializing USB Mass Storage driver...
Dec 19 14:00:50 localhost kernel: scsi0 : SCSI emulation for USB Mass
Storage devices
Dec 19 14:00:50 localhost kernel:   Vendor: USB Mass  Model:  Storage
Device   Rev:
Dec 19 14:00:50 localhost kernel:   Type:   Direct-Access            
         ANSI SCSI revision: 02
Dec 19 14:00:51 localhost kernel: usbcore: registered new driver
usb-storage
Dec 19 14:00:51 localhost kernel: USB Mass Storage support registered.
Dec 19 14:00:51 localhost scsi.agent[4028]: disk at
/devices/pci0000:00/0000:00:02.0/usb1/1-1/1-1.1/1-1.1:1.0/host0/target0:0:0/0:0:0:0
Dec 19 14:00:51 localhost kernel: SCSI device sda: 128000 512-byte
hdwr sectors (66 MB)
Dec 19 14:00:51 localhost kernel: sda: Write Protect is off
Dec 19 14:00:51 localhost kernel: sda: assuming drive cache: write through
Dec 19 14:00:52 localhost kernel: SCSI error: host 0 id 0 lun 0 return
code = 8000002
Dec 19 14:00:52 localhost kernel:       Sense class 7, sense error 0,
extended sense 0
Dec 19 14:00:52 localhost kernel:  sda:SCSI error : <0 0 0 0> return
code = 0x70000
Dec 19 14:00:52 localhost kernel: end_request: I/O error, dev sda,
sector 0
Dec 19 14:00:52 localhost kernel: Buffer I/O error on device sda,
logical block 0
Dec 19 14:00:52 localhost kernel: SCSI error : <0 0 0 0> return code =
0x70000
Dec 19 14:00:52 localhost kernel: end_request: I/O error, dev sda,
sector 0
Dec 19 14:00:52 localhost kernel: Buffer I/O error on device sda,
logical block 0
Dec 19 14:00:52 localhost kernel: SCSI error : <0 0 0 0> return code =
0x70000
Dec 19 14:00:52 localhost kernel: end_request: I/O error, dev sda,
sector 127992
Dec 19 14:00:52 localhost kernel: Buffer I/O error on device sda,
logical block 15999
Dec 19 14:00:52 localhost kernel: SCSI error : <0 0 0 0> return code =
0x70000
Dec 19 14:00:52 localhost kernel: end_request: I/O error, dev sda,
sector 127992
Dec 19 14:00:52 localhost kernel: Buffer I/O error on device sda,
logical block 15999
Dec 19 14:00:52 localhost kernel: SCSI error : <0 0 0 0> return code =
0x70000
Dec 19 14:00:52 localhost kernel: end_request: I/O error, dev sda,
sector 0
Dec 19 14:00:53 localhost kernel: Buffer I/O error on device sda,
logical block 0
Dec 19 14:00:53 localhost kernel:  unable to read partition table
Dec 19 14:00:53 localhost kernel: Attached scsi removable disk sda at
scsi0, channel 0, id 0, lun 0
Dec 19 14:00:53 localhost kernel: hub 1-0:1.0: port 1 disabled by hub
(EMI?), re-enabling...
Dec 19 14:00:53 localhost kernel: usb 1-1: USB disconnect, address 2
Dec 19 14:00:53 localhost kernel: usb 1-1.1: USB disconnect, address 3
Dec 19 14:00:53 localhost kernel: usb 1-1: new full speed USB device
using address 4
Dec 19 14:00:53 localhost kernel: hub 1-1:1.0: USB hub found
Dec 19 14:00:53 localhost kernel: hub 1-1:1.0: 4 ports detected
Dec 19 14:00:54 localhost kernel: usb 1-1.1: new full speed USB device
using address 5
Dec 19 14:00:55 localhost kernel: scsi1 : SCSI emulation for USB Mass
Storage devices
Dec 19 14:01:01 localhost crond(pam_unix)[4275]: session opened for
user root by (uid=0)
Dec 19 14:01:01 localhost crond(pam_unix)[4275]: session closed for
user root
Dec 19 14:01:10 localhost hal.hotplug[4274]: timout(10000 ms) waiting
for /devices/pci0000:00/0000:00:02.0/usb1/1-1/1-1.1/1-1.1:1.0

Expected Results:  The light should have stayed lit and I should have
been able to mount the drive as /dev/sda1

Additional info:

I am using the following packages:

kernel-2.6.9-1.698_FC3
hotplug-2004_04_01-8

The line in my fstab file for mounting the drive is as follows:

/dev/sda1                /media/usbflash         auto   
user,owner,exec,dev,suid,rw,noauto 0 0


Finally, the above process also causes long delays in the logoff and
shutdown processes (up to 5+ minutes each).  If I don't plug in the
USB drive during my session, shutdown is fine, if I do plug it in, it
takes forever.
Comment 1 Harald Hoyer 2004-12-20 07:18:26 EST
your kernel says: "unable to read partition table"
no partitions -> no hotplug message to udev to create sda1 -> no
device node...

reassinging to kernel
Comment 2 Beny Spensieri Jr. 2005-01-05 09:47:04 EST
This issue also exists when using a Sandisk Cruzer Mini 1GB usb drive.
Comment 3 Dave Jones 2005-01-05 09:54:20 EST
please try the latest errata kernel.
Comment 4 Beny Spensieri Jr. 2005-01-07 09:39:18 EST
I installed kernel-2.6.10-1.727_FC3.i686.rpm, and I was able to
successfully mount my USB flash drive.

Seems like this bug has been resolved.
Comment 5 Dave Jones 2005-07-15 15:25:13 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 20:04:25 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.